Skip to main content
`Ctrl`+`K`

# MatSNESMFGetReuseBase

Determines if the base vector is to be used for differencing even if the function provided to `SNESSetFunction()` is not the same as that provided to `MatMFFDSetFunction()`.

## Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode MatSNESMFGetReuseBase(Mat J, PetscBool *use)

Logically Collective

## Input Parameter

- J - the `MATMFFD` matrix

## Output Parameter

- use - if true always reuse the base vector instead of recomputing f(u) even if the function in the `MATMFFD` is not `SNESComputeFunction()`

## Note

See `MatSNESMFSetReuseBase()`

## See Also

SNES: Nonlinear Solvers, `Mat`, `SNES`, `MatSNESMFSetReuseBase()`, `MatCreateSNESMF()`

## Level

advanced

## Location

src/snes/mf/snesmfj.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages